ps_seg_s Struct Reference

Base structure for hypothesis segmentation iterator. More...

`#include <pocketsphinx_internal.h>`

## Data Fields

ps_segfuncs_t * | vt
| V-table of seg methods.
ps_search_t * | search
| Search object from whence this came.
char const * | word
| Word string (pointer into dictionary hash)
frame_idx_t | sf
| Start frame.
frame_idx_t | ef
| End frame.
int32 | ascr
| Acoustic score.
int32 | lscr
| Language model score.
int32 | prob
| Log posterior probability.
int32 | lback
| Language model backoff.
float32 | lwf
| Language weight factor (for second-pass searches)

## Detailed Description

Base structure for hypothesis segmentation iterator.

Definition at line 178 of file pocketsphinx_internal.h.

## Field Documentation

## ascr

int32 ps_seg_s::ascr

Acoustic score.

Definition at line 184 of file pocketsphinx_internal.h.

Referenced by ps_seg_prob().

## ef

frame_idx_t ps_seg_s::ef

End frame.

Definition at line 183 of file pocketsphinx_internal.h.

Referenced by ps_seg_frames().

## lback

int32 ps_seg_s::lback

Language model backoff.

Definition at line 189 of file pocketsphinx_internal.h.

Referenced by ps_seg_prob().

## lscr

int32 ps_seg_s::lscr

Language model score.

Definition at line 185 of file pocketsphinx_internal.h.

Referenced by ps_seg_prob().

## lwf

float32 ps_seg_s::lwf

Language weight factor (for second-pass searches)

Definition at line 191 of file pocketsphinx_internal.h.

Referenced by ps_astar_seg_iter(), and ps_lattice_seg_iter().

## prob

int32 ps_seg_s::prob

Log posterior probability.

Definition at line 186 of file pocketsphinx_internal.h.

Referenced by ps_seg_prob().

## search

ps_search_t* ps_seg_s::search

Search object from whence this came.

Definition at line 180 of file pocketsphinx_internal.h.

Referenced by ps_astar_seg_iter(), ps_lattice_seg_iter(), and ps_seg_frames().

## sf

frame_idx_t ps_seg_s::sf

Start frame.

Definition at line 182 of file pocketsphinx_internal.h.

Referenced by ps_seg_frames().

## vt

ps_segfuncs_t* ps_seg_s::vt

V-table of seg methods.

Definition at line 179 of file pocketsphinx_internal.h.

Referenced by ps_astar_seg_iter(), and ps_lattice_seg_iter().

## word

char const* ps_seg_s::word

Word string (pointer into dictionary hash)

Definition at line 181 of file pocketsphinx_internal.h.

Referenced by ps_seg_word().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/pocketsphinx_internal.h